Subject: bug#25156: 26.0.50; `describe-text-properties' hangs with 100% cpu usage when property is a char-table

From: Peter Wang <[email-masked]>
Date: Sun, 11 Dec 2016 00:16:29 +0800

I found the culprit was this line in my configuration:

(setq lisp-indent-function 'common-lisp-indent-function)

and common-lisp-indent-function is provided by

`.emacs.d/elpa/slime-20161109.640/contrib/slime-cl-indent.el'

I think it is a wrong configuration.

something in common-lisp-indent-function cause the huge slowing down.

thanks for your time and sorry for the false bug.

On Sun, Dec 11, 2016 at 12:04 AM, Eli Zaretskii <[email-masked]> wrote:

> > From: [email-masked]
> > Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> > Date: Sat, 10 Dec 2016 10:29:44 -0500
> >
> > Neither of these hang for me from emacs -Q, using latest master
> (fc0fd24c105b)
> >
> > (benchmark 1 '(describe-variable 'lisp-mode-syntax-table)) ;=> "Elapsed
> time: 1.272053s (0.161946s in 6 GCs)"
> > (benchmark 1 '(describe-property-list (list 'syntax-table
> lisp-mode-syntax-table))) ;=> "Elapsed time: 1.165824s (0.139516s in 5 GCs)"
>
> I get similar times here.
>